Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | Static Protected Member Functions | Static Protected Attributes | List of all members
ezpContentPublishingQueue Class Reference
Inheritance diagram for ezpContentPublishingQueue:

## Static Public Member Functions
static | signals ()
static | init ()
static | add ( $objectId, $version)
static | isQueued ( $objectId, $version)
static | next ()

## Static Protected Member Functions
static | initHooks ()
static | attachHooks ( $connector, $hooksList)

## Static Protected Attributes
static | $signals = null

## Detailed Description

Definition at line 19 of file ezpcontentpublishingqueue.php.

## Member Function Documentation

## ◆ add()

static ezpContentPublishingQueue::add | ( |  | $objectId,
|  |  | $version
| ) |  |
| static

Adds a draft to the publishing queue

Parameters

  int | $objectId |
  int | $version |

Returns
  ezpContentPublishingProcess

Definition at line 81 of file ezpcontentpublishingqueue.php.

References $version, init(), ezpContentPublishingProcess\queue(), and signals().

## ◆ attachHooks()

static ezpContentPublishingQueue::attachHooks | ( |  | $connector,
|  |  | $hooksList
| ) |  |
| static final protected

Attaches hooks to a signal slot

Parameters

  string | $connector | slot name (preQueue/postQueue)
  array | $hooks | list of hooks (callbacks) to attach

Definition at line 62 of file ezpcontentpublishingqueue.php.

References signals().

Referenced by initHooks().

## ◆ init()

static ezpContentPublishingQueue::init | ( |  | ) |
| static

Initialization method. Called once before the reader class is used.

Implements ezpContentPublishingQueueReaderInterface.

Definition at line 51 of file ezpcontentpublishingqueue.php.

References initHooks().

Referenced by add().

## ◆ initHooks()

static ezpContentPublishingQueue::initHooks | ( |  | ) |
| static final protected

Initializes queue hooks from INI settings

Definition at line 38 of file ezpcontentpublishingqueue.php.

References $ini, and attachHooks().

Referenced by init().

## ◆ isQueued()

static ezpContentPublishingQueue::isQueued | ( |  | $objectId,
|  |  | $version
| ) |  |
| static

Checks if an object exists in the queue, whatever the status is

Parameters

  int | $objectId |
  int | $version |

Returns
  bool

Definition at line 96 of file ezpcontentpublishingqueue.php.

References $version, and ezpContentPublishingProcess\fetchByContentObjectVersion().

## ◆ next()

static ezpContentPublishingQueue::next | ( |  | ) |
| static

Returns the next processable item

Returns
  ezpContentPublishingProcess The next object to process, or false if none is available

Implements ezpContentPublishingQueueReaderInterface.

Definition at line 106 of file ezpcontentpublishingqueue.php.

## ◆ signals()

static ezpContentPublishingQueue::signals | ( |  | ) |
| static

Returns the class signals handler

Returns
  ezcSignalCollection

Definition at line 26 of file ezpcontentpublishingqueue.php.

References $signals.

Referenced by add(), attachHooks(), and ezpContentPublishingProcess\publish().

## Member Data Documentation

## ◆ $signals

ezpContentPublishingQueue::$signals = null
| static protected

Definition at line 115 of file ezpcontentpublishingqueue.php.

Referenced by signals().

The documentation for this class was generated from the following file:

- ezpcontentpublishingqueue.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.